@douyinfe/semi-next
TypeScript icon, indicating that this package has built-in type declarations

2.56.0 • Public • Published

A Next.js extension for Semi Design.

Because Next.js does not support the global introduction of css in third-party code, but semi does. In order to support Next.js, it is necessary to exclude the css reference in the semi code at compile time.

Installation

Install @douyinfe/semi-next as a development dependency:

npm install --save-dev @douyinfe/semi-next
# or
yarn add --dev @douyinfe/semi-next

Usage

Create a next.config.js in your project.

// next.config.js

const semi = require('@douyinfe/semi-next').default({/* the extension options */});
module.exports = semi({
    // your custom Next.js configuration
});

Options

options.omitCss

Type: Boolean

Default: true

In the compilation phase, whether to exclude css references.Used to solve the problem that Next.js does not support the global introduction of css in third-party code.See this discussion.

Readme

Keywords

none

Package Sidebar

Install

npm i @douyinfe/semi-next

Weekly Downloads

357

Version

2.56.0

License

MIT

Unpacked Size

10.5 kB

Total Files

6

Last publish

Collaborators

  • yannlynn
  • yumeizhang
  • xyqnpm
  • chenyuling_99
  • point.halo
  • zwlafk
  • daiqiangreal
  • shijiatongxue
  • bytednpm
  • wuhw